<div class="row-fluid">
    <div class="menuAdmin col-md-3 label label-info headertop" removeonsize="992" classes-list="label label-info" ng-include src="'partials/adminNavbar.html'"></div>
    <div class="col-md-6 adminContent">
        <h2 style="display:inline-block;">{{'Admin.Bureaux.Bu_Title' | translate}}</h2>
        <span style="margin-bottom:20px; margin-left:50px;" ng-if="config.isAdmin" class="btn btn-success" ng-click="bureaux.create()">
            <i class="fa fa-plus"></i>
            {{'Admin.Bureaux.Bu_Create' | translate}}
        </span>
        <div>
            <div class="col-lg-7 col-md-12">
                <div class="input-group">
                    <span class="input-group-addon"><i class="fa fa-search fa-fw"></i></span>
                    <input type="text" class="unvalidate form-control" placeholder="{{'Admin.Bureaux.Bu_Filter' | translate}}" ng-model="bureaux.search">
                </div>
            </div>
            <div class="col-md-12 text-info"><i class="fa fa-info-circle"></i> {{'Admin.Bureaux.Bu_Filter_Info' | translate}}</div>
        </div>
        <!-- Tree -->
        <div class="well adminContent col-md-12">
            <span>
                <i class="fa fa-expand pointer" tooltip="{{'Admin.Bureaux.Bu_Show_All' | translate}}" ng-click="bureaux.expandAll()"></i>
            </span>
            <span>
                <i class="fa fa-compress pointer" tooltip="{{'Admin.Bureaux.Bu_Hide_All' | translate}}" ng-click="bureaux.reduceAll()"></i>
            </span>
            <div style="top:100px;" class="nextDossierInfo" ng-if="bureaux.isSearching">
                <span style="position: relative; width: 0px; z-index: 2000000000;" us-spinner="{radius:20, width:8, length: 16}" ></span>
            </div>
            <abn-tree tree-data="bureaux.ordered"
                      on-select="bureaux.select(branch)"
                      search="bureaux.queryForTable"
                      show-detail="true"
                      check-rights="true"></abn-tree>
        </div>
    </div>
    <div class="col-md-6" style="position: fixed; right:0;">
        <div ng-if="!empty(bureaux.selected)" class="adminContent well">
            <legend>
                {{bureaux.selected.title}}
            </legend>

            <p>{{'Admin.Bureaux.Bu_Shortname' | translate}} : {{bureaux.selected.name}}</p>
            <p>{{'Admin.Bureaux.Bu_Name' | translate}} : {{bureaux.selected.title}}</p>
            <p>{{'Admin.Bureaux.Bu_Desc' | translate}} : {{bureaux.selected.description}}</p>
            <p>{{'Admin.Bureaux.Bu_Prop' | translate}} : <span ng-repeat="user in bureaux.selected.proprietaires"><span ng-if="$index > 0">, </span>{{user.firstName}} {{user.lastName}}</span><span ng-if="bureaux.selected.proprietaires.length === 0"><i class="fa fa-info-circle"></i> {{'Admin.Bureaux.BuMod_None_Prop' | translate}}</span></p>
            <p>{{'Admin.Bureaux.Bu_Sec' | translate}} : <span ng-repeat="user in bureaux.selected.secretaires"><span ng-if="$index > 0">, </span>{{user.firstName}} {{user.lastName}}</span><span ng-if="bureaux.selected.secretaires.length === 0"><i class="fa fa-info-circle"></i> {{'Admin.Bureaux.BuMod_None_Sec' | translate}}</span></p>
            <div>{{'Admin.Bureaux.Bu_Deleg' | translate}} : <span ng-if="!bureaux.selected.delegation.idCible"><i class="fa fa-info-circle"></i> {{'Admin.Bureaux.Bu_No_Deleg' | translate}}</span>
                <ul style="margin-left:30px;" ng-if="bureaux.selected.delegation.idCible" class="list-unstyled">
                    <li ng-if="bureaux.selected.delegation['date-debut-delegation'] !== undefined"><strong>{{'Admin.Bureaux.Bu_Begin' | translate}} : </strong>Le {{bureaux.selected.delegation['date-debut-delegation'] | date:'fullDate'}}</li>
                    <li ng-if="bureaux.selected.delegation['date-fin-delegation'] !== undefined"><strong>{{'Admin.Bureaux.Bu_Fin' | translate}} : </strong>Le {{bureaux.selected.delegation['date-fin-delegation'] | date:'fullDate'}}</li>
                    <li><strong>{{'Admin.Bureaux.Bu_Target' | translate}} : </strong>{{bureaux.selected.delegation.titreCible | date:'fullDate'}}</li>
                </ul>
            </div>
            <br/>
            <button class="btn btn-info" ng-click="bureaux.edit()">
                <i class="fa fa-pencil"></i>
                {{'Admin.Bureaux.Edit' | translate}}
            </button>

        </div>
    </div>

</div>